"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const web_ui_1 = require("@hypernetlabs/web-ui");
const react_1 = __importStar(require("react"));
const contexts_1 = require("../../contexts");
const PrivateKeysFlow = () => {
    const { proxy } = react_1.useContext(contexts_1.StoreContext);
    const { closeModal } = react_1.useContext(contexts_1.LayoutContext);
    const [inputValue, setInputValue] = react_1.useState("");
    const [privateKeyType, setPrivateKeyType] = react_1.useState("");
    const [errorMessage, setErrorMessage] = react_1.useState("");
    const handleSubmit = () => {
        const privateKey = privateKeyType === "privateKey" ? inputValue : null;
        const mnemonic = privateKeyType === "mnemonic" ? inputValue : null;
        proxy.providePrivateCredentials(privateKey, mnemonic).match(() => {
            closeModal();
        }, (err) => {
            setErrorMessage(err.message || "Err while providePrivateCredentials.");
        });
    };
    const privateKeyTypes = [
        { value: "privateKey", label: "Private Key" },
        { value: "mnemonic", label: "Mnemonic" },
    ];
    return (react_1.default.createElement("div", null,
        react_1.default.createElement(web_ui_1.SelectInput, { options: privateKeyTypes, optionValueKey: "value", optionLabelKey: "label", label: "Select your key type:", onChange: (event) => setPrivateKeyType(event.target.value) }),
        react_1.default.createElement("br", null),
        react_1.default.createElement(web_ui_1.TextareaInput, { label: "Amount", value: inputValue, onChange: (value) => setInputValue(value) }),
        react_1.default.createElement("br", null),
        react_1.default.createElement("br", null),
        react_1.default.createElement(web_ui_1.Button, { onClick: handleSubmit, label: "Provide your Key" }),
        errorMessage && (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement("br", null),
            react_1.default.createElement("div", null, errorMessage)))));
};
exports.default = PrivateKeysFlow;
//# sourceMappingURL=PrivateKeysFlow.js.map